Fingerprint_Card

Loading...
Searching...
No Matches
ICSharpCode.SharpZipLib.Zip.ZipException Class Reference

Represents exception conditions specific to Zip archive handling. More...

Inheritance diagram for ICSharpCode.SharpZipLib.Zip.ZipException:
[legend]
Collaboration diagram for ICSharpCode.SharpZipLib.Zip.ZipException:
[legend]

## Public Member Functions
| ZipException ()
| Initializes a new instance of the ZipException class.
| ZipException (string message)
| Initializes a new instance of the ZipException class with a specified error message.
| ZipException (string message, Exception exception)
| Initialise a new instance of ZipException.
Public Member Functions inherited from ICSharpCode.SharpZipLib.SharpZipBaseException
| SharpZipBaseException ()
| Initializes a new instance of the SharpZipBaseException class.
| SharpZipBaseException (string message)
| Initializes a new instance of the SharpZipBaseException class with a specified error message.
| SharpZipBaseException (string message, Exception innerException)
| Initializes a new instance of the SharpZipBaseException class with a specified error message and a reference to the inner exception that is the cause of this exception.

## Protected Member Functions
| ZipException (SerializationInfo info, StreamingContext context)
| Deserialization constructor.
Protected Member Functions inherited from ICSharpCode.SharpZipLib.SharpZipBaseException
| SharpZipBaseException (SerializationInfo info, StreamingContext context)
| Deserialization constructor.

## Detailed Description

Represents exception conditions specific to Zip archive handling.

## Constructor & Destructor Documentation

## ◆ ZipException() [1/4]

ICSharpCode.SharpZipLib.Zip.ZipException.ZipException | ( | SerializationInfo | info,
|  | StreamingContext | context )
| protected

Deserialization constructor.

Parameters

  info | SerializationInfo for this constructor
  context | StreamingContext for this constructor

## ◆ ZipException() [2/4]

ICSharpCode.SharpZipLib.Zip.ZipException.ZipException | ( |  | ) |

Initializes a new instance of the ZipException class.

## ◆ ZipException() [3/4]

ICSharpCode.SharpZipLib.Zip.ZipException.ZipException | ( | string | message | ) |

Initializes a new instance of the ZipException class with a specified error message.

Parameters

  message | The error message that explains the reason for the exception.

## ◆ ZipException() [4/4]

ICSharpCode.SharpZipLib.Zip.ZipException.ZipException | ( | string | message,
|  | Exception | exception )

Initialise a new instance of ZipException.

Parameters

  message | A message describing the error.
  exception | The exception that is the cause of the current exception.

The documentation for this class was generated from the following file:

- ICSharpCode.SharpZLib/Zip/ZipException.cs